<?php

namespace Litecms;

use DB;
use Illuminate\Database\Seeder;

class CouponCodeTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('coupon_codes')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'coupon_code.coupon_code.view',
                'name'      => 'View CouponCode',
            ],
            [
                'slug'      => 'coupon_code.coupon_code.create',
                'name'      => 'Create CouponCode',
            ],
            [
                'slug'      => 'coupon_code.coupon_code.edit',
                'name'      => 'Update CouponCode',
            ],
            [
                'slug'      => 'coupon_code.coupon_code.delete',
                'name'      => 'Delete CouponCode',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'coupon_code.coupon_code.verify',
                'name'      => 'Verify CouponCode',
            ],
            [
                'slug'      => 'coupon_code.coupon_code.approve',
                'name'      => 'Approve CouponCode',
            ],
            [
                'slug'      => 'coupon_code.coupon_code.publish',
                'name'      => 'Publish CouponCode',
            ],
            [
                'slug'      => 'coupon_code.coupon_code.unpublish',
                'name'      => 'Unpublish CouponCode',
            ],
            [
                'slug'      => 'coupon_code.coupon_code.cancel',
                'name'      => 'Cancel CouponCode',
            ],
            [
                'slug'      => 'coupon_code.coupon_code.archive',
                'name'      => 'Archive CouponCode',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/coupon_code/coupon_code',
                'name'        => 'CouponCode',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/coupon_code/coupon_code',
                'name'        => 'CouponCode',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'coupon_code',
                'name'        => 'CouponCode',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'CouponCode',
                'module'    => 'CouponCode',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'coupon_code.coupon_code.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
