<?php

namespace Litecms\CouponCode;

use User;

class CouponCode
{
    /**
     * $coupon_code object.
     */
    protected $coupon_code;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\CouponCode\Interfaces\CouponCodeRepositoryInterface $coupon_code)
    {
        $this->coupon_code = $coupon_code;
    }

    /**
     * Returns count of coupon_code.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.coupon_code.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->coupon_code->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\CouponCodeUserCriteria());
        }

        $coupon_code = $this->coupon_code->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('coupon_code::' . $view, compact('coupon_code'))->render();
    }
}
