<?php

namespace Litecms\CouponCode\Providers;

use Litepie\Contracts\Workflow\Workflow as WorkflowContract;
use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * The validators mappings for the package.
     *
     * @var array
     */
    protected $validators = [
        
        // Bind CouponCode workflow validator
        'Litecms\CouponCode\Models\CouponCode' => \Litecms\CouponCode\Workflow\CouponCodeValidator::class,
    ];

    /**
     * The actions mappings for the package.
     *
     * @var array
     */
    protected $actions = [
        
        // Bind CouponCode workflow actions
        'Litecms\CouponCode\Models\CouponCode' => \Litecms\CouponCode\Workflow\CouponCodeAction::class,
    ];

    /**
     * The notifiers mappings for the package.
     *
     * @var array
     */
    protected $notifiers = [
       
        // Bind CouponCode workflow notifiers
        'Litecms\CouponCode\Models\CouponCode' => \Litecms\CouponCode\Workflow\CouponCodeNotifier::class,
    ];

    /**
     * Register any package workflow validation services.
     *
     * @param \Litepie\Contracts\Workflow\Workflow $workflow
     *
     * @return void
     */
    public function boot(WorkflowContract $workflow)
    {
        parent::registerValidators($workflow);
        parent::registerActions($workflow);
        parent::registerNotifiers($workflow);
    }
}
