<?php

namespace Litecms\CouponCode\Workflow;

use Litecms\CouponCode\Models\CouponCode;
use Litecms\CouponCode\Notifications\CouponCodeWorkflow as CouponCodeNotifyer;
use Notification;

class CouponCodeNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param CouponCode $coupon_code
     *
     * @return void
     */
    public function complete(CouponCode $coupon_code)
    {
        return Notification::send($coupon_code->user, new CouponCodeNotifyer($coupon_code, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param CouponCode $coupon_code
     *
     * @return void
     */
    public function verify(CouponCode $coupon_code)
    {
        return Notification::send($coupon_code->user, new CouponCodeNotifyer($coupon_code, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param CouponCode $coupon_code
     *
     * @return void
     */
    public function approve(CouponCode $coupon_code)
    {
        return Notification::send($coupon_code->user, new CouponCodeNotifyer($coupon_code, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param CouponCode $coupon_code
     *
     * @return void
     */
    public function publish(CouponCode $coupon_code)
    {
        return Notification::send($coupon_code->user, new CouponCodeNotifyer($coupon_code, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param CouponCode $coupon_code
     *
     * @return void
     */
    public function archive(CouponCode $coupon_code)
    {
        return Notification::send($coupon_code->user, new CouponCodeNotifyer($coupon_code, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param CouponCode $coupon_code
     *
     * @return void
     */
    public function unpublish(CouponCode $coupon_code)
    {
        return Notification::send($coupon_code->user, new CouponCodeNotifyer($coupon_code, 'unpublish'));;

    }
}
